function out = im2sc(im,level)
% IM2SC Korekce velikosti obrazu pro deleni beze zbytku
%   IM2SC vraci vstupni obraz IM zvetseny do nejblizsi vyssi velikosti
%   delitelne beze zbytku do urovne LEVEL. Prvky pridanych radku a 
%   sloupcu maji nulovou hodnotu. Vystupem je zvetseny obraz OUT.
%   IN musi obsahovat hodnoty 2D vstupu.
%   
%   Obecny tvar funkce:
%   OUT = IM2SC(IM,LEVEL)
%

%   Input image size correction for wavelet packet
%% Urceni rozmeru vstupu
siz = size(im);
if length(siz)==2
    siz(3) = 1;
end
%% Vypocet rozmeru
newsiz = siz;
for k = 1:siz(3)
    for i = 1:2
        while mod(newsiz(i),2^level)>0
            newsiz(i) = newsiz(i)+1;
        end
    end
end
out(:,:,siz(3)) = zeros(newsiz(1),newsiz(2));
out(1:siz(1),1:siz(2),:) = im;